﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace ScreenExtenderClient
{
    internal static class Program
    {
        internal static IReadOnlyList<string> Args;

        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        private static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            if (args.Length == 0 || args.Length > 2)
            {
                MessageBox.Show("1 or 2 args for target and view name");
                return;
            }

            Args = args;
            Application.Run(new SxdCliMainForm());
        }
    }
}
